Bienvenue sur le forum !

Si vous souhaitez rejoindre la communauté, cliquez sur l'un de ces boutons !

Qt 5 : 5.9.1 - Qt Creator : 4.3.1 - Qt Installer : 2.0.3 - JOM : 1.1.2 - Qt Build suite : 1.7.0 - VS Qt 5 : 2.0.0

[Qt3] (version Embedded) - Browsers web

salut, je suis à la recherche de browsers web compatibles avec une version 3.3.4 de Qt embedded, et qui pourrait gérer le clavier d'un téléphone portable.

Si vous avez des pistes là-dessus, merci :)

Réponses

  • Des browsers Open Source ou pas forcément ? Quant à gérer le clavier d'un téléphone portable, je ne suis pas sûr que ce soit lié au browser.
  • qu'importe que ce soit open source ou pas ...
  • guynemer said:
    qu'importe que ce soit open source ou pas ...
    Biensur que si que ca importe :

    * Si ton projet est Open Source, tu ne peux linker / utiliser du code proprietaire
    * Si ton projet est Proprietaire, tu ne peux linker / utiliser du code Open Source

    Quand aux browsers, Opera utilise Qt 3.x, et dispose d'une version "Mobile", essayes de voir de ce coté.

    P@sNox,
  • pasnox said:
    * Si ton projet est Open Source, tu ne peux linker / utiliser du code proprietaire
    * Si ton projet est Proprietaire, tu ne peux linker / utiliser du code Open Source
    Faux, ça dépend de la license: GPL tu as raison. LGPL pas de souci par exemple ;)
  • Il faudrait certainement une FAQ sur les licenses.
  • IrmatDen said:
    [quote=pasnox]* Si ton projet est Open Source, tu ne peux linker / utiliser du code proprietaire
    * Si ton projet est Proprietaire, tu ne peux linker / utiliser du code Open Source
    Faux, ça dépend de la license: GPL tu as raison. LGPL pas de souci par exemple ;)[/quote]
    C'est vrai mais pour moi proprietaire c'etait dans le sens closed soruce et non LGPL ;)
  • pasnox said:
    * Si ton projet est Open Source, tu ne peux linker / utiliser du code proprietaire
    c'est pas forcément vrai, car il y a des lib que tu peux linker dans un projet OS sans avoir leurs codes sources (comme fmod)
  • fmod est une librairie fermée, tu ne peux pas l'utiliser dans un projet GPL, ce n'est pas compatible.
    Tous les composants d'un projet sous license GPL doivent être GPL.
    Enfin, tu peux le faire pour toi, mais tu ne pourras pas redistribuer ton produit (les contraintes de la GPL s'appliquant essentiellement à la redistribution).
Connectez-vous ou Inscrivez-vous pour répondre.